aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libnetfilter_cthelper/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-18 09:59:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-18 09:59:42 +0000
commitc2c2061a75e2f7252dd4fe58b93a6a763926079c (patch)
tree6e7a78b0a26528eab4548d51d615b4ac30a16afc /testing/libnetfilter_cthelper/APKBUILD
parenta206e5c89b9644ce1afd504a6543a0310289e551 (diff)
downloadaports-c2c2061a75e2f7252dd4fe58b93a6a763926079c.tar.gz
aports-c2c2061a75e2f7252dd4fe58b93a6a763926079c.tar.bz2
aports-c2c2061a75e2f7252dd4fe58b93a6a763926079c.tar.xz
testing/libnetfilter_cthelper: new aport
A Netfilter netlink library for connection tracking helpers http://www.netfilter.org/projects/libnetfilter_cthelper/index.html
Diffstat (limited to 'testing/libnetfilter_cthelper/APKBUILD')
-rw-r--r--testing/libnetfilter_cthelper/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/testing/libnetfilter_cthelper/APKBUILD b/testing/libnetfilter_cthelper/APKBUILD
new file mode 100644
index 0000000000..aee2921c4e
--- /dev/null
+++ b/testing/libnetfilter_cthelper/APKBUILD
@@ -0,0 +1,43 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libnetfilter_cthelper
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="A Netfilter netlink library for connection tracking helpers"
+url="http://www.netfilter.org/projects/libnetfilter_cthelper/index.html"
+arch="all"
+license="GPLv2"
+depends=""
+makedepends="libmnl-dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.netfilter.org/projects/libnetfilter_cthelper/files/libnetfilter_cthelper-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/libnetfilter_cthelper-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="b2efab1a3a198a5add448960ba011acd libnetfilter_cthelper-1.0.0.tar.bz2"